from llama_index.core.extractors import QuestionsAnsweredExtractor

from test.llama_index.optimizing.base import add_vector_index, query, splitter

# 增加问题对，没有明显提升
INDEX_NAME = "hf_llamaindex_qa"

if __name__ == '__main__':
    extractor = QuestionsAnsweredExtractor(questions=2)

    add_vector_index(index_name=INDEX_NAME, transformations=[splitter, extractor])

    query(index_name=INDEX_NAME)

# Q:合肥市政府购买居家养老服务服务对象以及服务标准
# A:在合肥市，政府购买居家养老服务的服务对象主要包括以下三类：
# 1. 70周岁以上低保老年人；
# 2. 70周岁以上空巢（无子女）老年人；
# 3. 90周岁以上高龄老年人。
#
# 服务标准如下：
# - 康复保健服务：包括功能训练、平衡训练、移位训练等，每次服务费用从20元到80元不等。
# - 助餐服务：提供餐饮服务，送餐入户，价格根据实际提供的菜品而定。
# - 家政服务：包括个人卫生服务、住家型服务、早出晚归型服务等，每天的费用在120-150元之间。
# - 陪同就医：协助监护人陪送老年人到医院就医或者代为取药，每小时收费15元。
# - 生活陪伴：陪同老人外出访友，参加社会活动等，每小时收费15元。<end>
# file:合政办〔2020〕11号.docx
# --------服务对象 ✅， 服务标准❎-------

# Q:阐述合肥市“菜篮子”市长负责制的指导思想和总体目标。
# A:合肥市“菜篮子”市长负责制的指导思想是：以习近平新时代中国特色社会主义思想为指导，深入贯彻落实习近平总书记重要指示精神，按照党中央、国务院和省委、省政府决策部署，全面落实“菜篮子”市长负责制。
#
# 总体目标是：围绕“三保一稳”（即保供给数量、保质量安全、保民生底线，稳定市场供应价格）工作目标，进一步增强以猪肉为重点的“菜篮子”产品自给能力，构建便捷有序的市场流通体系，健全绿色生态的农产品质量安全监管体系，完善稳定的“菜篮子”产品市场调控机制，提高我市“菜篮子”产品综合保障能力。同时，要加快创建国家食品安全示范城市，深入推进国家食品安全示范城市创建，切实提升食品安全监管水平，积极争取“国家食品安全示范城市”称号。<end>
# file:合政办〔2020〕1号.docx
# --------✅-------

# Q:合肥市城镇老旧小区改造提升工作实施意见的指导思想和工作目标是什么
# A:指导思想是坚持以习近平新时代中国特色社会主义思想为指导，以人民为中心的发展思想，按照高质量发展要求，从改善人居环境入手，拓展创新政府引导、市场运作的可持续改造模式，健全共建共治共享机制，让人民群众生活更方便、更舒心、更美好。
# 工作目标是编制老旧小区改造规划，滚动推进实施。2023年底前，力争基本实现2000年以前建成投入使用的老旧小区改造和管理服务“双提升”；自2024年起，按照“成熟一个，改造提升一个”的要求，持续推进老旧小区改造，形成改造提升的长效机制。<end>
# file:合政办秘〔2020〕49号.docx
# ------- ✅--------

# Q:合肥市居民医保集中参保期以及待遇享受期
# A:居民医保集中参保期为每年9月1日至12月31日，待遇享受期为次年1月1日至12月31日。在此期间，医保经办机构应制订经办规程，优化服务，并指导医药机构全面落实各项医保政策。定点医疗机构在提供医疗服务和医保结算过程中需遵守相关规定，如设立医疗保险管理部门、提供医疗费用查询服务等。此外，《合肥市基本医疗保险办法》自2022年1月1日起施行，有效期3年。<end>
# file:合政办〔2021〕21号.docx
# --------✅-------

# Q:合肥市火灾事故应急预案专家组的构成以及相应的职责
# A:合肥市火灾事故应急预案专家组由消防救援支队聘请应急管理、公安、城市轨道交通、安全生产、质量监督、卫生防疫、防化、地震、反恐、防爆、电力、建筑、气象、压力容器等方面的专家组成。其职责如下：
#
# （1）参加市火灾事故应急指挥部组织的活动及专题研究。
#
# （2）对火灾事故的监测、预防预警、应急准备、应急处置、应急结束、事件影响评估等提供技术支持，为领导决策提供依据。
#
# （3）参与事件调查，提供意见和建议。
#
# 此外，当灾情继续扩大达到重大、特大级别时，该专家组将按照更高级别的应急响应机制开展工作，包括提高市指挥部规格，增派专家和专业人才等。同时，负责组织信息发布以及后期处置工作如现场清理和善后工作等。<end>
# file:合政办秘〔2022〕20号.docx
# -------✅ --------

# Q:火灾分为哪几种情形以及对应的处理单位
# A:火灾分为以下几种情形以及对应的处理单位：
#
# 1. 灾害规模大、情况危险复杂、灭火救援难度大的火灾事故，或可能达上一般级别以上的火灾事故。对于这种情况，市指挥部办公室会迅速通知医疗救护、生态环境、市场监督管理、供水、供电、供气等有关单位以及技术专家到场，配合消防救援机构的作战行动。
#
# 2. 对于先期处置和部门联动处置未能控制事态发展、消除危害的较大级别以上火灾事故，由市指挥部办公室报市政府分管副市长批准，在现场指挥部基础上成立市指挥部，市指挥部总指挥、副总指挥立即赶赴现场。事发地县区、市政府新闻办、市应急管理局、市城乡建设局、市生态环境局、市市场监督管理局、市民政局等单位负责人，应当立即启动本单位应急响应，并在第一时间赶到现场，接受市指挥部的统一指挥。
#
# 3. 当灾情继续扩大达到重大、特大级别时，立即报市长决定，报请省政府、国务院提高应急响应级别，在省政府、国务院及其相关应急指挥机构指导下开展工作。<end>
# file:合政办秘〔2022〕20号.docx
# --------❎-------

# Q:合肥市既有住宅加装电梯工作基本原则以及实施的条件
# A:合肥市既有住宅加装电梯工作的基本原则是“业主自主、社区主导、政府扶持、各方支持”。实施条件包括：
# 1. 具有合法的房屋权属证明；
# 2. 5年内未列入棚户区（危旧房）、城中村改造范围和计划；
# 3. 已建成投入使用的4层以上（含4层）无电梯住宅；
# （二）形成推进合力。城乡建设部门负责既有住宅加装电梯的施工安全和施工质量监督管理。市场监管部门负责既有住宅加装电梯的安全监察工作。财政、自然资源和规划、城管、林园、消防等部门根据各自职责，做好既有住宅加装电梯相关工作。<end>
# file:合政办〔2023〕1号改.docx
# ----- ❎ ----------
