from test.llama_index.optimizing.base import add_vector_index, query

# 基准测试（纯向量）
# 调整chunk_size，大：能覆盖到答案，但是会多出很多无关回复；小：内容精确，但是容易覆盖不到答案

INDEX_NAME = "hf_llamaindex"

if __name__ == '__main__':
    add_vector_index(index_name=INDEX_NAME, chunk_size=2048)
    query(index_name=INDEX_NAME, top_k=2)

# Q:合肥市政府购买居家养老服务服务对象以及服务标准
# A:在合肥市，政府购买居家养老服务的服务对象主要包括以下三类：
# 1. 70周岁以上低保老年人；
# 2. 70周岁以上空巢（无子女）老年人；
# 3. 90周岁以上高龄老年人。
#
# 服务标准如下：
# - 康复保健服务：包括功能训练、日常生活能力训练等，如饮食动作训练、脱穿衣服训练等，每次服务费用为20元。
# - 平衡训练和移位训练：每次服务费用为20元。
# - 使用助行器训练、上下楼梯训练、轮椅使用训练等：每次服务费用为20元。
# - 益智训练：包括手工训练、文娱和学习训练等，每次服务费用为24元或30元。
# - 推拿按摩：部分肢体50元/30分钟，全身80元/30分钟。
# - 灸法：艾条灸理疗40元/30分钟。
# - 助餐服务：包括餐饮服务、送餐入户等，价格根据实际选择而定。
# - 家政服务：包括个人卫生服务（上门助浴、站点助浴等）、住家型（生活照料、日常家务、做饭等）和早出晚归型（生活照料、日常家务、做饭等），价格分别为50元/次、120-150元/天和100-120元/天。临时钟点工（买菜做饭、房间整理、清洗衣物、窗帘等）和代购代办的价格分别为35元/小时和15元/小时。
# - 室内保洁：居室日常保洁35元/小时，不含灯具、建筑垃圾清运、地毯清洗。
# - 陪同就医：协助监护人陪送老年人到医院就医或者代为取药，每次服务费用为15元/小时。
# - 生活陪伴：陪同老人外出访友，参加社会活动等，每次服务费用为15元/小时。
#
# --------服务对象 ✅， 服务标准❎-------
#
# Q:阐述合肥市“菜篮子”市长负责制的指导思想和总体目标。
# A:合肥市“菜篮子”市长负责制的指导思想是：以习近平新时代中国特色社会主义思想为指导，深入贯彻落实习近平总书记重要指示精神，按照党中央、国务院和省委、省政府决策部署，全面落实“菜篮子”市长负责制。
#
# 总体目标是：围绕“三保一稳”（即保供给数量、保质量安全、保民生底线，稳定市场供应价格）工作目标，进一步增强以猪肉为重点的“菜篮子”产品自给能力，构建便捷有序的市场流通体系，健全绿色生态的农产品质量安全监管体系，完善稳定的“菜篮子”产品市场调控机制，提高我市“菜篮子”产品综合保障能力。同时，加快创建国家食品安全示范城市，深入推进国家食品安全示范城市创建，切实提升食品安全监管水平，积极争取“国家食品安全示范城市”称号。
#
# --------✅-------
#
# Q:合肥市城镇老旧小区改造提升工作实施意见的指导思想和工作目标是什么
# A:指导思想是以习近平新时代中国特色社会主义思想为指导，坚持以人民为中心的发展思想，按照高质量发展要求，从改善人居环境入手，拓展创新政府引导、市场运作的可持续改造模式，健全共建共治共享机制，让人民群众生活更方便、更舒心、更美好。
#
# 工作目标是编制老旧小区改造规划，滚动推进实施。2023年底前，力争基本实现2000年以前建成投入使用的老旧小区改造和管理服务“双提升”；自2024年起，按照“成熟一个，改造提升一个”的要求，持续推进老旧小区改造，形成改造提升的长效机制。
#
# --------✅-------
#
# Q:合肥市居民医保集中参保期以及待遇享受期
# A:合肥市居民医保集中参保期为每年9月1日至12月31日，待遇享受期为次年1月1日至12月31日。在此期间，医保经办机构应制订经办规程，优化服务，并指导医药机构全面落实各项医保政策。定点医疗机构在提供医疗服务和医保结算过程中需遵守相关规定，如设立医疗保险管理部门、提供医疗费用查询服务等。此外，《合肥市基本医疗保险办法》自2022年1月1日起施行，有效期3年。
#
# --------✅-------
#
# Q:合肥市火灾事故应急预案专家组的构成以及相应的职责
# A:合肥市火灾事故应急预案专家组由消防救援支队聘请应急管理、公安、城市轨道交通、安全生产、质量监督、卫生防疫、防化、地震、反恐、防爆、电力、建筑、气象、压力容器等方面的专家组成。其职责如下：
# 1. 参加市火灾事故应急指挥部组织的活动及专题研究。
# 2. 对火灾事故的监测、预防预警、应急准备、应急处置、应急结束、事件影响评估等提供技术支持，为领导决策提供依据。
# 3. 参与事件调查，提供意见和建议。
# 4. 当灾情继续扩大达到重大、特大级别时，立即报市长决定，报请省政府、国务院提高应急响应级别，在省政府、国务院及其相关应急指挥机构指导下开展工作。同时，提高市指挥部规格，由市长担任总指挥，分管公安、市场监督管理、生态环境、卫生健康的副市长分别为副总指挥，相关成员单位主要负责人立即到场，扩大动员范围，调整充实救援力量、装备和物资，增派专家和专业人才等。副总指挥按照日常分管工作范围分别负责现场应急处置、事故调查、人员救治、环境事件处置以及善后工作等。
# 5. 火灾事故需疏散、撤离较大范围危险区域人员，禁止或限制人员、车辆通行较大范围区域，对社会公众生产生活造成较大影响的，应当按《合肥市突发事件预警信息发布管理办法》的相关规定及时发布预警信息。火灾事故及应急处置信息由政府新闻办事机构牵头组织，按相关应急预案规定统一对外发布。必要时，政府新闻办事机构牵头组织新闻发布会，消防救援、公安、卫生健康、应急管理、生态环境、民政、事发地县区等单位参加，主要围绕应急响应、现场救援、事故调查、环境影响、人员救治以及人员疏散范围、安置等情况，向新闻媒体和社会公众及时、准确、客观发布相关信息。
# 6. 火灾事故现场处置工作基本完成，事故危害已基本清除，现场危险状态得到控制，应急处置工作即告结束，并由负责指挥的指挥长批准，宣布解除应急状态。应急结束后，有关应急联动成员单位负责及时向市指挥部办公室报告处置情况和有关信息。市指挥部办公室汇总后，及时上报市政府。
# 7. 后期处置包括现场清理和善后工作。火灾扑灭后，消防救援机构负责受灾区域的警戒、勘察和维护社会稳定等工作，火灾事故单位负责火灾事故调查后的现场清理工作。对因火灾事故导致建筑物倒塌、气体泄漏、水管爆裂、断电漏电、环境污染等，应当立即通知供水、供电、供气、通信、火灾事故单位和事发地县区予以尽快修复和消除。一般及较大级别火灾事故善后工作由事发地县区负责，市有关部门给予支持、指导。
#
# -----❎----------
#
# Q:火灾分为哪几种情形以及对应的处理单位
# A:火灾分为以下几种情形以及对应的处理单位：
#
# 1. 灾害规模大、情况危险复杂、灭火救援难度大的火灾事故，或可能达上一般级别以上的火灾事故。对于这种情况，市指挥部办公室会迅速通知医疗救护、生态环境、市场监督管理、供水、供电、供气等有关单位以及技术专家到场，配合消防救援机构的作战行动。
#
# 2. 对于先期处置和部门联动处置未能控制事态发展、消除危害的较大级别以上火灾事故，由市指挥部办公室报市政府分管副市长批准，在现场指挥部基础上成立市指挥部，市指挥部总指挥、副总指挥立即赶赴现场。事发地县区、市政府新闻办、市应急管理局、市城乡建设局、市生态环境局、市市场监督管理局、市民政局等单位负责人，应当立即启动本单位应急响应，并在第一时间赶到现场，接受市指挥部的统一指挥。
#
# 3. 当灾情继续扩大达到重大、特大级别时，立即报市长决定，报请省政府、国务院提高应急响应级别，在省政府、国务院及其相关应急指挥机构指导下开展工作。
#
# -------❎--------
#
# Q:合肥市既有住宅加装电梯工作基本原则以及实施的条件
# A:合肥市既有住宅加装电梯工作的基本原则是“业主自主、社区主导、政府扶持、各方支持”。实施条件包括：
# 1. 具有合法的房屋权属证明；
# 2. 5年内未列入棚户区（危旧房）、城中村改造范围和计划；
# 3. 已建成投入使用的4层以上（含4层）无电梯住宅；
# 4. 满足建筑物结构安全、消防安全等有关规范要求。
# 以单元为单位申请加装电梯的，应不影响本幢房屋其他单元结构安全和安全疏散。加装电梯不应占用防火间距、消防车通道和消防车登高操作场地，不应妨碍消防车操作和影响室外消防设施的正常使用。
# 加装电梯应配备应急安保电源，确保紧急情况下电梯安全运行；应安装具备运行参数采集、信息网络传输、自动报警、实时通话、自动平层、视频监控等功能的智慧电梯系统，按照规定配备统一接口，并向市场监管部门开放。
# （二）规划要求。
# 1.既有住宅加装电梯以实用为主，不得侵占城市道路，不得影响城市规划实施，减少占用现有绿化，降低对周围相邻建筑的不利影响，不得增加住宅使用空间。
# 2.加装电梯新增部分不再另行测绘，不计入各分户业主产权面积，不予办理不动产登记。新增部分建筑面积不计入容积率，法律法规另有规定的，按其规定执行。
# （三）管理要求。
# 1.申请人是加装电梯日常运行管理的责任主体，应协商约定1名业主作为电梯日常使用管理者，履行管理义务，其他申请人共同承担安全管理责任。未确定日常使用管理者的电梯不得使用。
# 2.申请人也可委托小区物业服务企业、其他管理人或经协商确定的实际负责人依法履行电梯安全使用管理义务。对委托物业服务企业管理的，加装的电梯应当纳入物业服务内容。申请人应与被委托人签订委托协议，协商确定服务费用标准并支付服务费。
# 3.因转让、继承或者受遗赠取得加装电梯住宅所有权的，由住宅受让人依法承继加装电梯项目协议约定的权利和义务。
# 七、保障措施
# （一）加强组织领导。市政府成立既有住宅加装电梯工作领导小组，分管市领导任组长。领导小组办公室设在市住房保障和房产管理局，负责统筹既有住宅加装电梯的政策制定、指导协调、督查检查和编制补贴资金计划等工作。各地应相应成立既有住宅加装电梯工作领导小组，领导小组办公室设在辖区住建部门，承担辖区内既有住宅加装电梯的具体牵头工作。
# （二）形成推进合力。城乡建设部门负责既有住宅加装电梯的施工安全和施工质量监督管理。市场监管部门负责既有住宅加装电梯的安全监察工作。财政、自然资源和规划、城管、林园、消防等部门根据各自职责，做好既有住宅加装电梯相关工作。
#
# ------❎---------
